Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.hp.hpl.jena.sdb.sql
Enum MySQLEngineType

    java.lang.Object
      java.lang.Enum<MySQLEngineType>
          com.hp.hpl.jena.sdb.sql.MySQLEngineType

All Implemented Interfaces:
  Serializable, Comparable<MySQLEngineType>

    public enum MySQLEngineType

extends Enum<MySQLEngineType>

Enum Constant Summary
`BDB`
`Falcon`
`InnoDB`
`Maria`
`Memory`
`MyISAM`
`NDB`

Method Summary
`static MySQLEngineType` | `convert(String engineName)`
`abstract String` | `getEngineName()`
`static MySQLEngineType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MySQLEngineType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MyISAM

    public static final MySQLEngineType MyISAM

### Maria

    public static final MySQLEngineType Maria

### InnoDB

    public static final MySQLEngineType InnoDB

### Falcon

    public static final MySQLEngineType Falcon

### Memory

    public static final MySQLEngineType Memory

### BDB

    public static final MySQLEngineType BDB

### NDB

    public static final MySQLEngineType NDB

Method Detail

### values

    public static MySQLEngineType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MySQLEngineType c : MySQLEngineType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MySQLEngineType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getEngineName

    public abstract String getEngineName()

### convert

    public static MySQLEngineType convert(String engineName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.